import { select, arc } from 'd3';

const svg=select('svg');
const height=parseFloat(svg.attr('height'));
const width=parseFloat(svg.attr('width'));

const group = svg.append('g')
	.attr('transform', `translate(${width/2},${height/2})`);

const circle = group.append('circle')
	.attr('r', height/2-10)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 200;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 80;
const eyebrowHeight = 20;
const eyebrowYOffset = -40;

const eyesG = group
	.append('g')
		.attr('transform', `translate(0,${eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
		.attr('r', eyeRadius)
  	.attr('cx', - eyeSpacing/2);
 
const rightEye = eyesG
	.append('circle')
		.attr('r', eyeRadius)
  	.attr('cx', + eyeSpacing/2);

const eyebrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0,${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
	.append('rect')
		.attr('x', -eyeSpacing/2 - eyebrowWidth/2)
		.attr('y', eyebrowYOffset)
		.attr('width', eyebrowWidth)
		.attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
	.append('rect')
    .attr('x', +eyeSpacing/2 - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
		.attr('height', eyebrowHeight);

const mouth = group
	.append('path')
		.attr('d', arc()({
  		innerRadius: 130,
  		outerRadius: 150,
  		startAngle: Math.PI/2,
  		endAngle: Math.PI *3 / 2
		}));  

eyebrowsG
  .transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset-20})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`);
